{% load table_block_tags shared_filters %}

<div class="my-6">
  <table class="table table--bordered content-block">
    {% if table_caption %}
      <caption class="head-heavy-sm my-4">{{ table_caption }}</caption>
    {% endif %}
    {% if table_header %}
      <thead>
        <tr>
          {% for column in table_header %}
            {% with forloop.counter0 as col_index %}
              <th scope="col" {% cell_classname 0 col_index %}>
                {% if column.strip %}
                  {{ column.strip|markdown }}
                {% endif %}
              </th>
            {% endwith %}
          {% endfor %}
        </tr>
      </thead>
    {% endif %}
    <tbody>
      {% for row in data %}
        {% with forloop.counter0 as row_index %}
          <tr>
            {% for column in row %}
              {% with forloop.counter0 as col_index %}
                {% if first_col_is_header and forloop.first %}
                  <th scope="row" {% cell_classname row_index col_index table_header %}>
                    {% if column.strip %}
                      {{ column.strip|markdown }}
                    {% endif %}
                  </th>
                {% else %}
                  <td {% cell_classname row_index col_index table_header %}>
                    {% if column.strip %}
                      {{ column.strip|markdown }}
                    {% endif %}
                  </td>
                {% endif %}
              {% endwith %}
            {% endfor %}
          </tr>
        {% endwith %}
      {% endfor %}
    </tbody>
  </table>
</div>
